Can I just upgrade my first generation straight on to 2.2.1?

Discussion in 'Jailbreaks and iOS Hacks' started by dontwalkhand, May 17, 2009.

  1. dontwalkhand macrumors 601

    dontwalkhand

    Joined:
    Jul 5, 2007
    Location:
    Phoenix, AZ
    #1
    I have an iPhone 4GB with 2.2, Can I just upgrade my iPhone straight on to 2.2.1 in iTunes? I don't care about Jailbreak, I just want 2.2.1 with my unlock.

    So would this work, or would I be presented with that "Slide for emergency" screen? I do not have a USB hub, and only have an aluminum iMac, and a MacBook white with Mac OS 10.5.7, so I would not be able to re-pwn the iPhone should anything go wrong.
     
  2. lavrishevo macrumors 68000

    lavrishevo

    Joined:
    Jan 9, 2007
    Location:
    NJ
    #2
    There is no baseband update with 2.2.1 on the first generation phone but you still need to jailbreak it to hacktivate it. Otherwise you have to activate via iTunes.

    Yes, 10.5.7 removes the need for a USB hub. And again, you will have to re-pwn if you are not on AT&T.
     
  3. dontwalkhand thread starter macrumors 601

    dontwalkhand

    Joined:
    Jul 5, 2007
    Location:
    Phoenix, AZ
    #3
    Seriously? This is great news! Thanks.
     

Share This Page